Name:		mmv
Version:	1.01b
Release:	alt1_18
Summary:	Move/copy/append/link multiple files

Group:          File tools
License:	GPL+
URL:		http://packages.qa.debian.org/m/mmv.html
Source0:	http://ftp.debian.org/debian/pool/main/m/mmv/mmv_1.01b.orig.tar.gz
Source1:	copyright
Source2:	changelog
Patch0:		mmv-1.01b-debian.patch
Patch1:		mmv-1.01b-makefile.patch
Patch2:		mmv-1.01b-debian-14.patch
Patch3:		mmv-1.01b-debian-15.patch
Source44: import.info

%description
This is mmv, a program to move/copy/append/link multiple files
according to a set of wildcard patterns. This multiple action is
performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other
target names. Furthermore, before doing anything, mmv attempts to
detect any errors that would result from the entire set of actions
specified and gives the user the choice of either aborting before
beginning, or proceeding by avoiding the offending parts.

%prep
%setup -q -n mmv-1.01b.orig
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp -p %{SOURCE1} . 
cp -p %{SOURCE2} .

%build
make CONF="$RPM_OPT_FLAGS -fpie $(getconf LFS_CFLAGS)" LDCONF="-pie" %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
ln -s mmv $RPM_BUILD_ROOT/%{_bindir}/mcp
ln -s mmv $RPM_BUILD_ROOT/%{_bindir}/mad
ln -s mmv $RPM_BUILD_ROOT/%{_bindir}/mln
ln -s mmv.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/mcp.1.gz
ln -s mmv.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/mad.1.gz
ln -s mmv.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/mln.1.gz

%files
%doc copyright changelog
%doc ANNOUNCE ARTICLE READ.ME
%{_bindir}/mmv
%{_bindir}/mcp
%{_bindir}/mad
%{_bindir}/mln
%{_mandir}/man1/*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.01b-alt1_18
- initial fc import

